/*
 * $Header: /users/vis/jta/bigfoot/saif/src/RCS/saif_enums.h,v 1.4 1994/10/27 16:58:40 jta Exp $
 */

#include <mi.h>

#define DB_NAME     "illustra"
#define BAD_ENUM     -1

typedef mi_integer SaifEnum;     /* Tied to 'create type' internallength */

SaifEnum    SaifEnumIn ARGS((char *ename, char **elist, 
                 int num, mi_text *s, MI_FPARAM *fparam));
mi_text    *SaifEnumOut ARGS((char *ename, char **elist,
                 int num, SaifEnum val, MI_FPARAM *fparam));
mi_text    *SaifEnumHelp ARGS((mi_text *ename, MI_FPARAM *fparam));
mi_text    *SaifEnumHelp_l();
mi_text    *saif_Release();

SaifEnum    CellShapeIn     ARGS((mi_text *s, MI_FPARAM *fparam));
mi_text    *CellShapeOut    ARGS((SaifEnum i, MI_FPARAM *fparam));
SaifEnum    GridOrderIn     ARGS((mi_text *s, MI_FPARAM *fparam));
mi_text    *GridOrderOut    ARGS((SaifEnum i, MI_FPARAM *fparam));
SaifEnum    IndexSchemeIn   ARGS((mi_text *s, MI_FPARAM *fparam));
mi_text    *IndexSchemeOut  ARGS((SaifEnum i, MI_FPARAM *fparam));
SaifEnum    OrigRefIn       ARGS((mi_text *s, MI_FPARAM *fparam));
mi_text    *OrigRefOut      ARGS((SaifEnum i, MI_FPARAM *fparam));
SaifEnum    UnitMeaningIn   ARGS((mi_text *s, MI_FPARAM *fparam));
mi_text    *UnitMeaningOut  ARGS((SaifEnum i, MI_FPARAM *fparam));

/* integer ops */
mi_boolean  SaifEnumEQ      ARGS((SaifEnum a1, SaifEnum a2, MI_FPARAM *fparam));
mi_boolean  SaifEnumNE      ARGS((SaifEnum a1, SaifEnum a2, MI_FPARAM *fparam));
mi_boolean  SaifEnumLT      ARGS((SaifEnum a1, SaifEnum a2, MI_FPARAM *fparam));
mi_boolean  SaifEnumLE      ARGS((SaifEnum a1, SaifEnum a2, MI_FPARAM *fparam));
mi_boolean  SaifEnumGT      ARGS((SaifEnum a1, SaifEnum a2, MI_FPARAM *fparam));
mi_boolean  SaifEnumGE      ARGS((SaifEnum a1, SaifEnum a2, MI_FPARAM *fparam));
